Bug 147781 - Evolution wastes screen space
Evolution wastes screen space
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Malcolm
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-11 03:50 EST by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-11 18:03:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2005-02-11 03:50:19 EST
Evolution's Mail/Calendar/Contacts/Tasks buttons take a large amount of space
which should be used for displaying the folder tree. There's no real need for
them  to have the full text in addition to the large icons; especially in the
huge side-by-side arrangement. This is a severe regression in Evolution's
usability on small screens.

Thankfully it's also relatively easy to improve -- you can change the
translations of the button names in /usr/lib/bonobo/servers/GNOME_Evolution* to
just ''.

See resulting more usable folder tree resulting from the smaller buttons in the
bottom left-hand corner of http://david.woodhou.se/evo-ate-my-spam-report.jpeg

Please consider making this the default, or at _least_ an option.
Comment 1 Dave Malcolm 2005-02-11 18:03:11 EST
Evolution 2.1.* in Rawhide has an option to configure this, currently in the
menus in the View->Window Buttons submenu (which is a bad place for it IMHO).

Resolving as Rawhide
Comment 2 David Woodhouse 2005-03-08 04:10:59 EST
Cute. But Evo doesn't seem to remember this setting from one session
to the next. It's quite random about remembering that the keybindings
are set to emacs mode, too. 
Comment 3 Dave Malcolm 2005-03-08 12:59:07 EST
Please file the problem with remembering the button appearance setting
in upstream bugzilla (bugzilla.ximian.com), if it's not there already,
and add me to the CC for the upstream bug.

WRT to the emacs keybindings - where are you setting this up?
Comment 4 David Woodhouse 2005-03-08 13:08:39 EST
Ximian bugzilla refuses to talk to me -- it forces me to log in
repeatedly and has forgotten me by the time I come to enter anything
new in the bug. 

I've no idea how I set the keybindings up -- once upon a time there
was an option in Evo itself. Then later it was a system-wide setting
through the control panel. Now I have no clue; it seems to have moved
again. Mostly it just works, but sometimes when I run Evo it doesn't.
Closing evo and restarting usually makes it behave again.

Note You need to log in before you can comment on or make changes to this bug.